libmudflap and emutls question

Paolo Bonzini bonzini@gnu.org
Wed Jan 7 10:41:00 GMT 2009


> Which version of gcc did you use? gcc 4.1 (maybe and 4.2) will report
> error. But gcc 4.3 compiles OK. I tested using x86_64 native gcc from
> Debian unstable.  __emutls_get_address is defined in libgcc even the
> target has real TLS.

Uff... not my day.  I used 4.2 (emutls was posted in 4.2 time but
committed in 4.3 only).  But I didn't think of the simplest solution:
use greps together with strings(1): "strings ./conftest | grep
__emutls_get_address".

Paolo



More information about the Gcc-patches mailing list